PETSc version 3.17.4
Fix/Edit manual page

# PetscProbCreateFromOptions

Return the probability distribution specified by the argumetns and options

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscProbCreateFromOptions(PetscInt dim, const char prefix[], const char name[], PetscProbFunc *pdf, PetscProbFunc *cdf, PetscProbFunc *sampler)

Not collective

### Input Parameters

| dim | - The dimension of sample points
| prefix | - The options prefix, or NULL
| name | - The option name for the probility distribution type

### Output Parameters

| pdf | - The PDF of this type
| cdf | - The CDF of this type
| sampler | - The PDF sampler of this type

### See Also

PetscPDFMaxwellBoltzmann1D(), PetscPDFGaussian1D(), PetscPDFConstant1D()

### Level

intermediate

### Location

src/dm/dt/interface/dtprob.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages